VMTKIMAGECURVEDMPR(1)

NAME
vmtkimagecurvedmpr - vmtk script vmtkimagecurvedmpr

DESCRIPTION
Automatic piping vmtkimagecurvedmpr Parsing options vmtkimagecurvedmpr

vmtkimagecurvedmpr : Make an MPR image from a centerline and an input

    image

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i Image (vtkImageData,1): the input image

-ifile ImageInputFileName (str,1): filename for the default Image

    reader

-centerlines Centerlines (vtkPolyData,1): the input centerlines

-centerlinesfile CenterlinesInputFileName (str,1): filename for the

    default Centerlines reader

-normalsarray NormalsArrayName (str,1);

    default=ParallelTransportNormals: name of the array where parallel transport normals to the centerlines are stored

-size InplaneOutputSize (int,1) >= 1; default=100: size of the

    square in pixels that each resulting MPR image should have

-background ReslicingBackgroundLevel (float,1); default=0.0: value

    of the pixels in the mpr image that are outside of the inputimage

-spacing InplaneOutputSpacing (float,1) >= 0.001; default=1.0:

    spacing between the pixels in the output MPR images

-frenettangentarray FrenetTangentArrayName (str,1);

    default=FrenetTangent: name of the array where tangent vectors of the Frenet reference system are stored

-ofile ImageOutputFileName (str,1): filename for the default Image

    writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-o Image (vtkImageData,1): the output image